import { headerToggle, headerScrollVisibility } from './header.js';
import { copyLink } from './share.js';
import { panelToggle, tocMobile } from './panel.js';
import { btnGroupMobile } from './btn-group-mobile.js';
import { bannerStickyDesktop } from './banner-sticky-desktop.js';
import { themeToggle } from './themeToggle.js';
import { initHeroSlider } from './hero-slider.js';
import { playVideo } from './hero-video.js';
import { initDropdowns } from './dropdown.js';
import { initSwipers } from './swipers.js';
import { report } from './report.js';


const responsiveMedium = 1080;
const responsiveSmall = 768;

window.onload = async function () {
  console.log("SCRIPT LOADED");
  headerToggle();
  panelToggle(responsiveSmall);
  themeToggle();


  report(responsiveSmall);

  tocMobile(responsiveSmall);
  copyLink();
  btnGroupMobile(responsiveSmall)
  bannerStickyDesktop(responsiveSmall);
  initHeroSlider();
  playVideo();
  initDropdowns(responsiveSmall);
  initSwipers();
}